scala.collection.generic

# IdleSignalling

#### object IdleSignalling extends DefaultSignalling

An object that returns default values and ignores received signals.

Source
  Signalling.scala

Linear Supertypes
DefaultSignalling, VolatileAbort, Signalling, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. IdleSignalling
2. DefaultSignalling
3. VolatileAbort
4. Signalling
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def abort(): Unit

   Sends an abort signal to other workers.

   Sends an abort signal to other workers.

   Abort flag being true means that a worker can abort and produce whatever result, since its result will not affect the final result of computation. An example of operations using this are `find`, `forall` and `exists` methods.

   Definition Classes
     VolatileAbort → Signalling

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### def indexFlag: Int

    Returns the value of the index flag.

    Returns the value of the index flag.

    The index flag holds an integer which carries some operation-specific meaning. For instance, `takeWhile` operation sets the index flag to the position of the element where the predicate fails. Other workers may check this index against the indices they are working on and return if this index is smaller than their index. Examples of operations using this are `takeWhile`, `dropWhile`, `span` and `indexOf`.

    returns

      the value of the index flag

    Definition Classes
      DefaultSignalling → Signalling

13. #### def isAborted: Boolean

    Checks whether an abort signal has been issued.

    Checks whether an abort signal has been issued.

    Abort flag being true means that a worker can abort and produce whatever result, since its result will not affect the final result of computation. An example of operations using this are `find`, `forall` and `exists` methods.

    returns

      the state of the abort

    Definition Classes
      VolatileAbort → Signalling

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def setIndexFlag(f: Int): Unit

    Sets the value of the index flag.

    Sets the value of the index flag.

    The index flag holds an integer which carries some operation-specific meaning. For instance, `takeWhile` operation sets the index flag to the position of the element where the predicate fails. Other workers may check this index against the indices they are working on and return if this index is smaller than their index. Examples of operations using this are `takeWhile`, `dropWhile`, `span` and `indexOf`.

    f

      the value to which the index flag is set.

    Definition Classes
      DefaultSignalling → Signalling

19. #### def setIndexFlagIfGreater(f: Int): Unit

    Sets the value of the index flag if argument is greater than current value.

    Sets the value of the index flag if argument is greater than current value. This method does this atomically.

    The index flag holds an integer which carries some operation-specific meaning. For instance, `takeWhile` operation sets the index flag to the position of the element where the predicate fails. Other workers may check this index against the indices they are working on and return if this index is smaller than their index. Examples of operations using this are `takeWhile`, `dropWhile`, `span` and `indexOf`.

    f

      the value to which the index flag is set

    Definition Classes
      DefaultSignalling → Signalling

20. #### def setIndexFlagIfLesser(f: Int): Unit

    Sets the value of the index flag if argument is lesser than current value.

    Sets the value of the index flag if argument is lesser than current value. This method does this atomically.

    The index flag holds an integer which carries some operation-specific meaning. For instance, `takeWhile` operation sets the index flag to the position of the element where the predicate fails. Other workers may check this index against the indices they are working on and return if this index is smaller than their index. Examples of operations using this are `takeWhile`, `dropWhile`, `span` and `indexOf`.

    f

      the value to which the index flag is set

    Definition Classes
      DefaultSignalling → Signalling

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def tag: Int

    A read only tag specific to the signalling object.

    A read only tag specific to the signalling object. It is used to give specific workers information on the part of the collection being operated on.

    Definition Classes
      DefaultSignalling → Signalling

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from DefaultSignalling

### Inherited from VolatileAbort

### Inherited from Signalling

### Inherited from AnyRef

### Inherited from Any

### Ungrouped